Installing "mpi" Package

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Installing "mpi" Package

benjifado
I'm trying to install the "mpi" package using:

>> pkg install -forge mpi

but I'm receiving these error messages:

sh: 1: gzip: not found
unpack: unarchiving program exited with status: 127
sh: 1: tar: not found
error: called from
    unpack at line 257 column 5
    untar at line 47 column 5
    install at line 84 column 9
    pkg at line 437 column 9

I've also tried downloading the tar.gz file from Octave Forge and installing
the package that way, but it gives me the same errors. Does anyone know why
this is? I am new to Octave, so any help is appreciated.

I am Using Octave 4.4.1 on Raspbian.



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html


Reply | Threaded
Open this post in threaded view
|

Re: Installing "mpi" Package

kingcrimson
Hi,

Il 05 ago 2019 17:24, benjifado <[hidden email]> ha scritto:

I'm trying to install the "mpi" package using:

>> pkg install -forge mpi


The mpi package in forge is oudated buggy and unmaintained

The new versione is here:

https://github.com/carlodefalco/octave-mpi/blob/master/README.md

but I'm receiving these error messages:

sh: 1: gzip: not found
unpack: unarchiving program exited with status: 127

The errore message seems quite clear, do you have gzip installed?

sh: 1: tar: not found
error: called from
    unpack at line 257 column 5
    untar at line 47 column 5
    install at line 84 column 9
    pkg at line 437 column 9


Do you have gnu Tar installed?

I've also tried downloading the tar.gz file from Octave Forge and installing
the package that way, but it gives me the same errors. Does anyone know why
this is? I am new to Octave, so any help is appreciated.

I am Using Octave 4.4.1 on Raspbian.

--


Hth,
c.

Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html